Page MenuHomePhabricator

Either review BookManagerv2's open changesets, or mark repository as inactive
Closed, ResolvedPublic

Description

https://gerrit.wikimedia.org/r/#/q/status:open+project:mediawiki/extensions/BookManagerv2,n,z contains 21 open patches waiting for review since Google Summer of Code 2014. If they are good, it would be great if someone could merge them. If they are not good enough, then please mark them with -1. If there is another problem, please share it so we can find a solution.

I'm creating this task to see if this helps bringing more attention to this problem, reported already at T17071#1384929. Today, this repository is the second slowest in terms of code review according to http://korma.wmflabs.org/browser/gerrit_review_queue.html

Maybe a code review sprint can be organized in the context of the Wikisource Conference?

Event Timeline

Qgil created this task.Oct 29 2015, 8:54 PM
Qgil raised the priority of this task from to Needs Triage.
Qgil updated the task description. (Show Details)
Qgil added subscribers: Qgil, raylton.sousa, Tpt and 2 others.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 29 2015, 8:54 PM
Aklapper triaged this task as Medium priority.Nov 3 2015, 4:17 PM

Adding more people planning to attend the Wikisource Conference, to see whether this task could be proposed for the hackathon.

Adding more people planning to attend the Wikisource Conference, to see whether this task could be proposed for the hackathon.

@ Wikisource conf attendees:
Anybody willing to give this a shot by having e.g. a dedicated one hour session at the Wikisource conf to help reviewing these contributions? Would be great!

Well, I guess that BookManagerv2 is simply unmaintained. So no-one feels able / responsible to review these patches.

And I don't think we (as in the Wikimedia technical community) have a concept how and where to communicate "Hey! BookManagerv2 needs maintainers! Are you interested in making it better and know a bit of PHP? Please consider becoming a maintainer at https://www.mediawiki.org/wiki/Gerrit/Project_ownership#Requesting_repository_ownership ", apart from mass-commenting in Gerrit patchsets which in this case would only reach a single contributor (Deepali) anyway and not any potential new maintainers.

Should we take this to https://en.wikisource.org/wiki/Wikisource:Scriptorium ? Any better / other audiences?

Qgil added a comment.Dec 28 2015, 8:30 PM

I think the technical side of the Wikisource community is well aware of this problem already. At this point I would simply declare the repository unmaintained.

The technical side of the Wikisource community is tiny: I know only @Tpt who could be able (maybe) to maintain this, but unfortunately I bet he's too busy maintaining *all the rest* of Wikisource tools. If I recall correctly, this was the result of a GSoC project few years ago, and never got deployed as an extension in Wikisources. Am I right? We simply do not have people to maintain/improve it.

Qgil added a comment.Feb 5 2016, 11:22 AM

@Aklapper, any objections in declaring this repository officially unmaintained?

No objections

Qgil added a comment.Feb 11 2016, 12:33 PM

I can start ignoring it at http://korma.wmflabs.org/browser/gerrit_review_queue.html (i.e. when publishing the Developer Relations Weekly Summary).

Aklapper renamed this task from Review BookManagerv2's open changesets to Either review BookManagerv2's open changesets, or mark repository as inactive.Feb 11 2016, 6:05 PM
Aklapper claimed this task.
Aklapper added a project: DevRel-February-2016.
Aklapper set Security to None.
Aklapper lowered the priority of this task from Medium to Lowest.Feb 11 2016, 6:08 PM

Done:

Not Done:

Aklapper moved this task from Backlog to Doing on the DevRel-February-2016 board.Feb 11 2016, 6:20 PM
Qgil awarded a token.Feb 12 2016, 8:42 AM

Adding DevRel-March-2016 as this is done but only waiting for deployment (see T128170)

Aklapper moved this task from Backlog to Doing on the DevRel-March-2016 board.Mar 1 2016, 4:57 PM
Aklapper closed this task as Resolved.Mar 8 2016, 1:47 PM

Finally gone from http://korma.wmflabs.org/browser/gerrit_review_queue.html and everything else done. Hence resolving this task.